Problems on updating and compiling the linux version

Post any questions or comments regarding the LINUX version of HYSPLIT. This includes the model execution, GUIs, results, or graphics. Be sure to mention the version of LINUX you are using.
Post Reply
yveeteyang
Posts: 12
Joined: May 21st, 2015, 6:05 am
Registered HYSPLIT User: Yes

Problems on updating and compiling the linux version

Post by yveeteyang » May 21st, 2015, 6:31 am

Hello !
I met some problems when ./update.sh and ./compile.sh

First , when ./update.sh , it showed:
Repository location (local, server):
server
Enter command (export, checkout, log, version):
checkout
./update.sh: line 30: svn: command not found
./update.sh: line 43: svn: command not found
mv: cannot stat `version1.inc': No such file or directory
mv: cannot stat `version2.inc': No such file or directory

What does it mean?

And when ./compile.sh under the trunk directory, it showed :
......
dos2unix: converting file mayo_pm25.txt to UNIX format ...
dos2unix: converting file smkrun.bat to UNIX format ...
dos2unix: converting file smkrun.sh to UNIX format ...
Building fcsubs library
Building hysplit source library
Building exec directory programs
Building the ascii2shp converter
Building the dbf editor
Building the WRF-ARW decoder (requires export NetCDF lib/include)
ERROR

I've checked that my NetCDF has already installed to /usr/local , so how can I solve those two problems?
Thank you!

ariel.stein
Posts: 623
Joined: November 7th, 2012, 3:14 pm
Registered HYSPLIT User: Yes
Contact:

Re: Problems on updating and compiling the linux version

Post by ariel.stein » May 21st, 2015, 9:13 am

For the first problem you will need to install svn. Also, choose checkup to get the latest version.

For the second problem, please go to data2arl/arw2arl/ and modify the Makefile to point to the directory where you have your NetCDF libraries.

yveeteyang
Posts: 12
Joined: May 21st, 2015, 6:05 am
Registered HYSPLIT User: Yes

Re: Problems on updating and compiling the linux version

Post by yveeteyang » May 22nd, 2015, 12:08 am

Thank you for your advice!
But for the first problem, I'm trying to install svn but also have some problems installing it, so I wonder does it matter when I compile? I mean, do I have to get to the latest version or I can just use the version which I download?

And for the second problem, I go to data2/arl/arw2arl/ and /cmaq , modify the Makefile as

# exported in calling script
# NETINC = /usr/local/netCDF/include
# NETLIB = /usr/local/netCDF/lib

but still have the same problem as before. Does it relate to the first problem? I have to first update and then can I compile?
Or do I have to move the /data2 and /cmaq directory from /trunk to my /home/xxx(myaccount)/hysplit directory? I don't think that's the reason.

Thanks again for your patience.

ariel.stein wrote:For the first problem you will need to install svn. Also, choose checkup to get the latest version.

For the second problem, please go to data2arl/arw2arl/ and modify the Makefile to point to the directory where you have your NetCDF libraries.

ariel.stein
Posts: 623
Joined: November 7th, 2012, 3:14 pm
Registered HYSPLIT User: Yes
Contact:

Re: Problems on updating and compiling the linux version

Post by ariel.stein » May 22nd, 2015, 8:52 am

The two problems are not related. You can certainly work with the version that you currently have. Once you install svn (any version) you will be able to download the latest HYSPLIT version.

On the other hand for the Makefiles to work you will need to uncomment the statements
NETINC = /usr/local/netCDF/include
NETLIB = /usr/local/netCDF/lib

instead of

# NETINC = /usr/local/netCDF/include
# NETLIB = /usr/local/netCDF/lib

Also, make sure that the netcdf libraries are there.

yveeteyang
Posts: 12
Joined: May 21st, 2015, 6:05 am
Registered HYSPLIT User: Yes

Re: Problems on updating and compiling the linux version

Post by yveeteyang » May 22nd, 2015, 9:50 pm

Sorry to bother you again.
I did what you told but still couldn't compile. And I'm sure my netCDF libraries are there.
But I look into the compile.log and find

get1dv.f:5: Error: Can't open included file 'netcdf.inc'
make[1]: *** [member] Error 1
make[1]: Leaving directory `/home/yyj/hysplit/trunk/data2arl/arw2arl'
make[1]: Entering directory `/home/yyj/hysplit/trunk/data2arl/arw2arl'
gfortran -c -O2 -fconvert=big-endian -frecord-marker=4 -ffree-form -I/usr/local/netCDF/include get2dv.f

I checked there was no netcdf.inc under my netcdf include or lib directory, and I've been told that it's because new version of netCDF (my version is 4.2.0)doesn't have this file.
So is this the problem? Should I install a lower version of netCDF(i.e., version 3.6.3) to make sure I can compile successfully?

Thanks!

yveeteyang
Posts: 12
Joined: May 21st, 2015, 6:05 am
Registered HYSPLIT User: Yes

Re: Problems on updating and compiling the linux version

Post by yveeteyang » May 25th, 2015, 10:44 pm

Thank you for you advice!
But I am pretty sure that I have change the statements in Makefiles right and my netcdf libraries are there. I checked my compile.log under the trunk directory and found those lines:
get1dv.f:5: Error: Can't open included file 'netcdf.inc'
make[1]: *** [member] Error 1
make[1]: Leaving directory `/home/yyj/hysplit/trunk/data2arl/arw2arl'
make[1]: Entering directory `/home/yyj/hysplit/trunk/data2arl/arw2arl'
gfortran -c -O2 -fconvert=big-endian -frecord-marker=4 -ffree-form -I/usr/local/netCDF/include get2dv.f

I checked that my netCDf didn't have netcdf.inc, is it where the problem lies? I also learned that it is due to the update of netcdf, so should I install a older version(i.e., version 3.6.3)to solve this problem?
ariel.stein wrote:The two problems are not related. You can certainly work with the version that you currently have. Once you install svn (any version) you will be able to download the latest HYSPLIT version.

On the other hand for the Makefiles to work you will need to uncomment the statements
NETINC = /usr/local/netCDF/include
NETLIB = /usr/local/netCDF/lib

instead of

# NETINC = /usr/local/netCDF/include
# NETLIB = /usr/local/netCDF/lib

Also, make sure that the netcdf libraries are there.

yveeteyang
Posts: 12
Joined: May 21st, 2015, 6:05 am
Registered HYSPLIT User: Yes

Re: Problems on updating and compiling the linux version

Post by yveeteyang » May 26th, 2015, 4:40 am

Hi, I have some other problems. Though I can't properly compile it, I run the xrun.scr and got some pictures.
But they can't fit into one ps file, actually the line was:

Multi-processor executable (310) not available

Do you know why this problem happened?

ariel.stein
Posts: 623
Joined: November 7th, 2012, 3:14 pm
Registered HYSPLIT User: Yes
Contact:

Re: Problems on updating and compiling the linux version

Post by ariel.stein » May 26th, 2015, 9:52 am

That means that you have not compiled the multi-processor version of the model. If you have mpi installed in your machine you can compile the parallel version of the model. Please take a look at the Makefile located in the exec/ directory. There you can figure our how to compile the multi-processor version.

Post Reply